pcl::PPFHashMapSearch::HashKeyStruct Struct Reference

Data structure to hold the information for the key in the feature hash map of the PPFHashMapSearch class. More...

`#include <pcl/registration/ppf_registration.h>`

Inheritance diagram for pcl::PPFHashMapSearch::HashKeyStruct:

## Public Member Functions

| HashKeyStruct (int a, int b, int c, int d)

## Detailed Description

Data structure to hold the information for the key in the feature hash map of the PPFHashMapSearch class.

Note
  It uses multiple pair levels in order to enable the usage of the boost::hash function which has the std::pair implementation (i.e., does not require a custom hash function)

Definition at line 59 of file ppf_registration.h.

## Constructor & Destructor Documentation

## HashKeyStruct()

pcl::PPFHashMapSearch::HashKeyStruct::HashKeyStruct | ( | int | a,
|  | int | b,
|  | int | c,
|  | int | d
| ) |  |

inline

Definition at line 61 of file ppf_registration.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/registration/include/pcl/registration/ppf_registration.h